Changes between Version 2 and Version 3 of Development/PlugIns/Python


Ignore:
Timestamp:
Nov 25, 2006 2:05:22 PM (13 years ago)
Author:
timothy
Comment:

Updating the Python page.

Legend:

Unmodified
Added
Removed
Modified
  • Development/PlugIns/Python

    v2 v3  
    44= Python !PlugIns for Colloquy = 
    55 
    6 There is a [http://colloquy.info/downloads/template.pys template.pys] available in the [http://colloquy.info/downloads/ download section] containing stubs and commentary for all available methods a Python !PlugIn for Colloquy can implement. 
     6To develop Python !PlugIns, you will need: 
     7 
     8 * A plain text editor (!TextEdit is fine in plain-text mode). 
     9 * The [http://pyobjc.sourceforge.net/software/ PyObjC framework]. 
     10 * The latest list of function names Colloquy looks for (available in the Colloquy SDK Python template below). 
     11 * Reasonably good knowledge of Python, Colloquy classes and utilizing the Cocoa frameworks. 
     12 
     13There is a [http://colloquy.info/project/browser/trunk/Plug-Ins/SDK/Python/Template.py?format=raw template script] available in the [http://colloquy.info/project/browser/trunk/Plug-Ins/SDK/Python Python SDK section] containing stubs and commentary for all available function defs a Python !PlugIn for Colloquy can implement. 
    714 
    815''(for more information come to our [irc://irc.freenode.net/#colloquy chat room])''